Summary:	C++ wrappers for libgnome
Summary(pl.UTF-8):	Interfejsy C++ dla libgnome
Name:		libgnomemm
Version:	2.30.0
Release:	6
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgnomemm/2.30/%{name}-%{version}.tar.bz2
# Source0-md5:	860f5e835cd4674393ffdd692b0c9147
URL:		http://www.gnome.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtkmm-devel >= 2.12.0
BuildRequires:	libgnome-devel >= 2.20.1
BuildRequires:	libtool >= 2:1.4d
BuildRequires:	pkgconfig
Requires:	libgnome >= 2.20.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C++ wrappers for libgnome.

%description -l pl.UTF-8
Interfejsy C++ dla libgnome.

%package devel
Summary:	Devel files for libgnomemm
Summary(pl.UTF-8):	Pliki nagłówkowe dla libgnomemm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtkmm-devel >= 2.12.0
Requires:	libgnome-devel >= 2.20.1

%description devel
Devel files for libgnomemm.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla libgnomemm.

%package static
Summary:	libgnomemm static library
Summary(pl.UTF-8):	Biblioteka statyczna libgnomemm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libgnomemm static library.

%description static -l pl.UTF-8
Biblioteka statyczna libgnomemm.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I scripts
%{__autoconf}
%{__automake}
%configure \
	--enable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libgnomemm-2.6.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnomemm-2.6.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnomemm-2.6.so
%{_libdir}/libgnomemm-2.6.la
%{_libdir}/%{name}-2.6
%{_includedir}/%{name}-2.6
%{_pkgconfigdir}/%{name}-2.6.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgnomemm-2.6.a
%changelog
* Sun Nov 03 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgnomemm.git;a=log;h=master

* Sun Nov 03 2013 Jan Rękorajski <baggins@pld-linux.org> dec5f7e
- release 6 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 1fbe76d
- release 5 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 3bbd50f
- release 4 (by relup.sh)

* Wed Nov 24 2010 hawk <hawk@pld-linux.org> e458c32
- release 3

* Thu Jun 03 2010 Jan Rękorajski <baggins@pld-linux.org> 2265241
- rel 2

* Fri Apr 02 2010 Szymon Siwek <sls@pld-linux.org> 404ca79
- ver. 2.30.0

* Tue Feb 09 2010 Szymon Siwek <sls@pld-linux.org> 1300da7
- ver. 2.28.0

* Tue Dec 02 2008 hawk <hawk@pld-linux.org> 7e965c3
- release 2

* Fri Nov 07 2008 Szymon Siwek <sls@pld-linux.org> 433acf5
- ver. 2.24.0

* Wed Apr 16 2008 Szymon Siwek <sls@pld-linux.org> 484fa40
- ver. 2.22.0

* Sun Jan 20 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 17b8b5a
- updated to 2.20.1

* Fri Sep 14 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 126ae71
- updated to 2.20.0

* Sat Mar 10 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 5eb408e
- updated to 2.18.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 4e67279
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 755c17d
- converted to UTF-8

* Fri Aug 18 2006 freetz <freetz@pld-linux.org> 2d3a7c2
- 2.16.0, updated deps

* Wed May 24 2006 Jakub Bogusz <qboosh@pld-linux.org> f27820b
- merged deps update from AC-branch

* Thu Mar 16 2006 freetz <freetz@pld-linux.org> b757ac4
- 2.14.0

* Fri Nov 18 2005 freetz <freetz@pld-linux.org> c8da180
- 2.12.1

* Fri Sep 09 2005 freetz <freetz@pld-linux.org> 4660168
- 2.12.0, bumped BRs

